Skip to main content
Sessions

更新 Session resource

轮转 GitHub repository resource token。

POST /api/v1/cloud/sessions/{session_id}/resources/{resource_id} 更新一个 Session resource。当前只支持为 github_repository resource 轮转 token。

路径参数

参数类型说明
session_idstringsess_ 为前缀的 Session ID
resource_idstringsesr_ 为前缀的 Resource ID

请求头

头部必选说明
AuthorizationBearer $QODER_PAT
Content-Typeapplication/json

请求体

字段类型必填说明
authorization_tokenstring新 GitHub token

示例请求

curl -X POST https://api.qoder.com.cn/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources/sesr_0e4323e8f47ba34853f5409e \
  -H "Authorization: Bearer $QODER_PAT" \
  -H "Content-Type: application/json" \
  -d '{"authorization_token":"ghp_newtoken"}'

示例响应

HTTP 200 OK 返回更新后的 Session resource,不会返回 token。
{
  "id": "sesr_0e4323e8f47ba34853f5409e",
  "type": "github_repository",
  "url": "https://github.com/your-org/your-repo",
  "mount_path": "/data/workspace/your-repo",
  "checkout": {"type": "branch", "name": "main"},
  "created_at": "2026-06-23T05:53:19.774840Z",
  "updated_at": "2026-06-23T06:01:42.124501Z"
}

错误码

HTTP类型触发条件
400invalid_request_errorResource 不是 github_repository,或请求格式非法
401authentication_errorPAT 无效或过期
404not_found_errorSession 或 resource 不存在
完整错误信封格式见 错误参考